Skip to main content
GET
/
valorant
/
v4
/
matches
/
{affinity}
/
{platform}
/
{name}
/
{tag}
Get matches by name (v4)
curl --request GET \
  --url https://api.henrikdev.xyz/valorant/v4/matches/{affinity}/{platform}/{name}/{tag}
import requests

url = "https://api.henrikdev.xyz/valorant/v4/matches/{affinity}/{platform}/{name}/{tag}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.henrikdev.xyz/valorant/v4/matches/{affinity}/{platform}/{name}/{tag}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "coaches": [
        {
          "puuid": "<string>",
          "team_id": "<string>"
        }
      ],
      "kills": [
        {
          "assistants": [
            {
              "name": "<string>",
              "puuid": "<string>",
              "tag": "<string>",
              "team": "<string>"
            }
          ],
          "killer": {
            "name": "<string>",
            "puuid": "<string>",
            "tag": "<string>",
            "team": "<string>"
          },
          "location": {
            "x": 123,
            "y": 123
          },
          "player_locations": [
            {
              "location": {
                "x": 123,
                "y": 123
              },
              "player": {
                "name": "<string>",
                "puuid": "<string>",
                "tag": "<string>",
                "team": "<string>"
              },
              "view_radians": 123
            }
          ],
          "round": 1,
          "secondary_fire_mode": true,
          "time_in_match_in_ms": 1,
          "time_in_round_in_ms": 1,
          "victim": {
            "name": "<string>",
            "puuid": "<string>",
            "tag": "<string>",
            "team": "<string>"
          },
          "weapon": {
            "id": "<string>",
            "name": "<string>",
            "type": "<string>"
          }
        }
      ],
      "metadata": {
        "game_length_in_ms": 1,
        "game_version": "<string>",
        "is_completed": true,
        "map": {
          "id": "<string>",
          "name": "<string>"
        },
        "match_id": "<string>",
        "party_rr_penaltys": [
          {
            "party_id": "<string>",
            "penalty": 123
          }
        ],
        "platform": "<string>",
        "queue": {
          "id": "<string>",
          "mode_type": "<string>",
          "name": "<string>"
        },
        "season": {
          "id": "<string>",
          "short": "<string>"
        },
        "started_at": "<string>",
        "cluster": "<string>",
        "premier": "<unknown>",
        "region": "<string>"
      },
      "observers": [
        {
          "account_level": 1,
          "card_id": "<string>",
          "name": "<string>",
          "party_id": "<string>",
          "puuid": "<string>",
          "session_playtime_in_ms": 1,
          "tag": "<string>",
          "title_id": "<string>"
        }
      ],
      "players": [
        {
          "ability_casts": {
            "ability1": 1,
            "ability2": 1,
            "grenade": 1,
            "ultimate": 1
          },
          "account_level": 1,
          "agent": {
            "id": "<string>",
            "name": "<string>"
          },
          "behavior": {
            "afk_rounds": 123,
            "friendly_fire": {
              "incoming": 123,
              "outgoing": 123
            },
            "rounds_in_spawn": 123
          },
          "customization": {
            "card": "<string>",
            "title": "<string>",
            "preferred_level_border": "<string>"
          },
          "economy": {
            "loadout_value": {
              "average": 123,
              "overall": 123
            },
            "spent": {
              "average": 123,
              "overall": 123
            }
          },
          "name": "<string>",
          "party_id": "<string>",
          "platform": "<string>",
          "puuid": "<string>",
          "session_playtime_in_ms": 1,
          "stats": {
            "assists": 1,
            "bodyshots": 1,
            "damage": {
              "dealt": 123,
              "received": 123
            },
            "deaths": 1,
            "headshots": 1,
            "kills": 1,
            "legshots": 1,
            "score": 123
          },
          "tag": "<string>",
          "team_id": "<string>",
          "tier": {
            "id": 123,
            "name": "<string>"
          }
        }
      ],
      "rounds": [
        {
          "ceremony": "<string>",
          "id": 1,
          "result": "<string>",
          "stats": [
            {
              "ability_casts": {
                "ability_1": 1,
                "ability_2": 1,
                "grenade": 1,
                "ultimate": 1
              },
              "damage_events": [
                {
                  "bodyshots": 1,
                  "damage": 1,
                  "headshots": 1,
                  "legshots": 1,
                  "player": {
                    "name": "<string>",
                    "puuid": "<string>",
                    "tag": "<string>",
                    "team": "<string>"
                  }
                }
              ],
              "economy": {
                "loadout_value": 123,
                "remaining": 123,
                "armor": {
                  "id": "<string>",
                  "name": "<string>"
                },
                "weapon": {
                  "id": "<string>",
                  "name": "<string>",
                  "type": "<string>"
                }
              },
              "player": {
                "name": "<string>",
                "puuid": "<string>",
                "tag": "<string>",
                "team": "<string>"
              },
              "received_penalty": true,
              "stats": {
                "bodyshots": 1,
                "headshots": 1,
                "kills": 1,
                "legshots": 1,
                "score": 123
              },
              "stayed_in_spawn": true,
              "was_afk": true
            }
          ],
          "winning_team": "<string>",
          "defuse": {
            "location": {
              "x": 123,
              "y": 123
            },
            "player": {
              "name": "<string>",
              "puuid": "<string>",
              "tag": "<string>",
              "team": "<string>"
            },
            "player_locations": [
              {
                "location": {
                  "x": 123,
                  "y": 123
                },
                "player": {
                  "name": "<string>",
                  "puuid": "<string>",
                  "tag": "<string>",
                  "team": "<string>"
                },
                "view_radians": 123
              }
            ],
            "round_time_in_ms": 123
          },
          "plant": {
            "location": {
              "x": 123,
              "y": 123
            },
            "player": {
              "name": "<string>",
              "puuid": "<string>",
              "tag": "<string>",
              "team": "<string>"
            },
            "player_locations": [
              {
                "location": {
                  "x": 123,
                  "y": 123
                },
                "player": {
                  "name": "<string>",
                  "puuid": "<string>",
                  "tag": "<string>",
                  "team": "<string>"
                },
                "view_radians": 123
              }
            ],
            "round_time_in_ms": 123,
            "site": "<string>"
          }
        }
      ],
      "teams": [
        {
          "rounds": {
            "lost": 1,
            "won": 1
          },
          "team_id": "<string>",
          "won": true,
          "premier_roster": {
            "customization": {
              "icon": "<string>",
              "image": "<string>",
              "primary_color": "<string>",
              "secondary_color": "<string>",
              "tertiary_color": "<string>"
            },
            "id": "<string>",
            "members": [
              "<string>"
            ],
            "name": "<string>",
            "tag": "<string>"
          }
        }
      ]
    }
  ],
  "status": 1
}
{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}
{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}
{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}

Path Parameters

affinity
string
required

Region/affinity (e.g., na, eu, ap, kr)

platform
string
required

Platform (pc, console)

name
string
required

Riot ID name

tag
string
required

Riot ID tag

Query Parameters

mode
string

Game mode filter (optional)

map
string

Map filter (optional)

size
integer<int32>

Number of results (optional)

start
integer<int32>

Start index for pagination (optional)

Response

Match history retrieved successfully

data
object[]
required
status
integer<int32>
required
Required range: x >= 0